package benefactorkindboxreqhandler

import (
	authservice "git.gocasts.ir/ebhomengo/niki/service/auth"
	benefactorkindboxreqservice "git.gocasts.ir/ebhomengo/niki/service/benefactor/kind_box_req"
	"git.gocasts.ir/ebhomengo/niki/service/notification"
)

type Handler struct {
	authSvc                 authservice.Service
	benefactorKindBoxReqSvc benefactorkindboxreqservice.Service
	notificationSvc         notification.Service
}

func New(authSvc authservice.Service,
	benefactorKindBoxReqSvc benefactorkindboxreqservice.Service,
	notificationSvc notification.Service,
) Handler {
	return Handler{
		authSvc:                 authSvc,
		benefactorKindBoxReqSvc: benefactorKindBoxReqSvc,
		notificationSvc:         notificationSvc,
	}
}
